#include "promoteurtablewidget.h"
#include "form/promoteurform.h"
PromoteurTableWidget::PromoteurTableWidget(QWidget *parent) :
        AbstractTableWidget(parent)
{

    QSqlQueryModel * model = new QSqlQueryModel;
    model->setQuery("select  p.id ,pt.nom, p.nom, p.region,p.rue,p.code_postal,p.ville,"
             "p.pays,p.telephone,p.fax,p.email,p.website "
             "from promoteurs p , promoteur_types pt "
             "WHERE p.promoteur_type_id = pt.id");


    setModel(model);


}
void PromoteurTableWidget::addRecord()
{
    PromoteurForm * form =new PromoteurForm;
    FormDialog * dialog = new FormDialog(form);
    dialog->exec();
    refresh();
}

void PromoteurTableWidget::editRecord()
{
    PromoteurForm * form =new PromoteurForm;
    FormDialog * dialog = new FormDialog(form);
    SqlHelper sql("promoteurs",this);
    form->load(sql.record(firstRecordSelected().value("id").toInt()));
    dialog->exec();
    refresh();

}

void PromoteurTableWidget::deleteRecord()
{
    SqlHelper sql("promoteurs",this);
    foreach ( QSqlRecord record, recordsSelected())
        sql.deleteRecord(record.value("id").toInt());
    refresh();
}
